
QGIS Application - Bug report #17841

option to use live-updating color chooser dialogs is only partially implemented in QGIS 3 (i.e. only 

works from the top of the symbol tree)

2018-01-12 08:28 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25736

Description

e.g. 

1. with this option enabled in the settings, style a polygon layer with a "simple fill".

2. click in the symbol tree on "Simple fill", then click "Color" below to open the color chooser dialog.  Click on a different color and the

colors in the symbol tree and in the symbol preview area to the right will "live update".

3. click instead on "Fill" in the symbol tree, then open the color chooser dialog.  Click on a color and the colors in the tree and the preview

will not live update.

This doesn't seem terribly important, but it is a regression from 2.18

fa2aff18e5

History

#1 - 2018-01-12 12:30 PM - Nyall Dawson

I think we should drop that setting - live colour edits are better done through the styling panel and other non- blocking dialogs.

#2 - 2018-01-12 09:17 PM - Alister Hood

Note that it is not talking about "live updating" on the map canvas, which I expected when I first saw the option. Given this, I don't know why anyone would

ever want it turned off, but it is off by default in QGIS3.

#3 - 2018-01-19 03:19 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

This option has now been removed
